org.keycloak.models.cache.infinispan.entities

## Class CachedFederatedIdentityLinks

- java.lang.Object
- - org.keycloak.models.cache.infinispan.entities.AbstractRevisioned
  - - org.keycloak.models.cache.infinispan.entities.CachedFederatedIdentityLinks

- All Implemented Interfaces:
    Serializable, CachedObject, InIdentityProvider, InRealm, Revisioned

      public class CachedFederatedIdentityLinks
      extends AbstractRevisioned
      implements InRealm, InIdentityProvider

  The cache entry, which contains list of all identityProvider links for particular user. It needs to be updated every time when any federation link is added, removed or updated for the user
  Author:
    Marek Posolda
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedFederatedIdentityLinks(Long revision, String id, RealmModel realm, Set<FederatedIdentityModel> federatedIdentities)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(String alias)`
    `Set<FederatedIdentityModel>` | `getFederatedIdentities()`
    `String` | `getRealm()`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.entities.AbstractRevisioned

      `getCacheTimestamp, getId, getRevision, setRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.cache.infinispan.entities.Revisioned

      `getId, getRevision, setRevision`

- - ### Constructor Detail

    - #### CachedFederatedIdentityLinks

          public CachedFederatedIdentityLinks(Long revision,
                                              String id,
                                              RealmModel realm,
                                              Set<FederatedIdentityModel> federatedIdentities)

  - ### Method Detail

    - #### getRealm

          public String getRealm()

      Specified by:
        `getRealm` in interface `InRealm`

    - #### getFederatedIdentities

          public Set<FederatedIdentityModel> getFederatedIdentities()

    - #### contains

          public boolean contains(String alias)

      Specified by:
        `contains` in interface `InIdentityProvider`

Copyright © 2020 JBoss by Red Hat. All rights reserved.